curl --request GET \
--url 'https://app.agentcloud.dev/{resourceSlug}/session/{sessionId}/messages.json?messageId={messageId}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.agentcloud.dev/{resourceSlug}/session/{sessionId}/messages.json?messageId={messageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.agentcloud.dev/{resourceSlug}/session/{sessionId}/messages.json?messageId={messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"orgId": "<string>",
"teamId": "<string>",
"sessionId": "<string>",
"message": {},
"ts": 123,
"authorId": "<string>",
"isFeedback": true,
"displayType": "bubble",
"authorName": "<string>",
"_id": "<string>",
"chunkId": "<string>",
"tokens": 123,
"chunks": [
{
"ts": 123,
"chunk": "<string>",
"tokens": 123
}
],
"codeBlocks": [
{
"language": "<string>",
"codeBlock": "<string>"
}
],
"completed": true
}
]
}{
"messages": [
{
"orgId": "<string>",
"teamId": "<string>",
"sessionId": "<string>",
"message": {},
"ts": 123,
"authorId": "<string>",
"isFeedback": true,
"displayType": "bubble",
"authorName": "<string>",
"_id": "<string>",
"chunkId": "<string>",
"tokens": 123,
"chunks": [
{
"ts": 123,
"chunk": "<string>",
"tokens": 123
}
],
"codeBlocks": [
{
"language": "<string>",
"codeBlock": "<string>"
}
],
"completed": true
}
]
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Retrieve Messages
Get all messages associated to the path sessionId
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The resourceSlug is a url parameter of the teamId associated with the user. Anywhere the resourceSlug is used can be interpreted as a teamId Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}
The sessionId of the session to retrieve Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}
Query Parameters
Optional query parameter to declare a messageId to get messages generated after. i.e. get all messages generated after message: {messageId}. This is useful when attempting to gather messages in a stream. Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}
Response
JSON object containing array of all associated messages from this session, will return an empty array if the request is successful but there are no associated agents.
Show child attributes
Show child attributes